%undefine __cmake_in_source_build

Summary:        Enhanced config file parser library
Name:           libeconf
Version:        0.5.2
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/openSUSE/libeconf
Source0:        %{url}/archive/v%{version}.tar.gz

BuildRequires:  gcc make cmake >= 3.12

%description
libeconf is a highly flexible and configurable library to parse and manage
key=value configuration files. It reads configuration file snippets from
different directories and builds the final configuration file from it.

%package        devel
Summary:        Development files for libeconf
Requires:       %{name} = %{version}-%{release}

%description    devel
Development libraries and header files for using libeconf.

%package        utils
Summary:        Utilities for manipulating config files
Requires:       %{name} = %{version}-%{release}

%description    utils
This package contains utilities for manipulating configuration 
files from applications for using libeconf.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%cmake_build --target check

%files
%license LICENSE
%doc NEWS README.md TODO.md
%{_libdir}/%{name}.so.0{,.*}

%files devel
%doc example/
%{_includedir}/*
%{_libdir}/%{name}.so
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/%{name}.3*

%files utils
%{_bindir}/econftool
%{_mandir}/man8/econftool.8*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.2-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.2-2
- Rebuilt for loongarch release

* Wed Nov 8 2023 Shuo Wang <abushwang@tencent.com> - 0.5.2-1
- update to 0.5.2

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.6-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 16 2022 Wang Zhe <bessiewang@tencent.com> - 0.4.6-1
- initial build 
